package com.fidms.web.service;

import java.util.List;
import com.fidms.web.domain.InfraredInput;

/**
 * 红外输入Service接口
 * 
 * @author Allen
 * @date 2023-05-08
 */
public interface IInfraredInputService 
{
    /**
     * 查询红外输入
     * 
     * @param id 红外输入主键
     * @return 红外输入
     */
    public InfraredInput selectInfraredInputById(Long id);

    /**
     * 查询红外输入列表
     * 
     * @param infraredInput 红外输入
     * @return 红外输入集合
     */
    public List<InfraredInput> selectInfraredInputList(InfraredInput infraredInput);

    /**
     * 新增红外输入
     * 
     * @param infraredInput 红外输入
     * @return 结果
     */
    public int insertInfraredInput(InfraredInput infraredInput);

    /**
     * 修改红外输入
     * 
     * @param infraredInput 红外输入
     * @return 结果
     */
    public int updateInfraredInput(InfraredInput infraredInput);

    /**
     * 批量删除红外输入
     * 
     * @param ids 需要删除的红外输入主键集合
     * @return 结果
     */
    public int deleteInfraredInputByIds(Long[] ids);

    /**
     * 删除红外输入信息
     * 
     * @param id 红外输入主键
     * @return 结果
     */
    public int deleteInfraredInputById(Long id);

    public List getInfraredInputOption();
}
